Subject: Re: bug#24083: guix lint doesn't actually fail on some errors

From: zimoun <[email-masked]>
Date: Wed, 24 Mar 2021 23:19:04 +0100

Hi,

On Wed, 27 Jul 2016 at 23:12, Danny Milosavljevic <[email-masked]> wrote:
> On Wed, 27 Jul 2016 22:57:15 +0200 [email-masked] (Ludovic Courtès) wrote:
>> Danny Milosavljevic <[email-masked]> skribis:
>> 
>> > guix lint doesn't actually fail on some errors.  
>> 
>> It never pretended to exit with non-zero when warnings are emitted.  :-)
>> (These are warnings, not errors.)
>
> Too bad :)
>
> I wrote a little helper script which was supposed to prevent me from posting
> packages that don't build or lint. Then I found out that the lint actually
> doesn't fail on warnings. So now my script is only half as useful (the builder
> does fail on build error).
>
> It would be nice to have a way to also check the lint status.

The good news is that the initial example ’perl-io-socket-inet6’ now
does not report any linting error. :-)

Well, on the other side, it is still the same behaviour.

--8<---------------cut here---------------start------------->8---
$ guix lint julia ; echo $?
gnu/packages/julia.scm:301:0: [email-masked]: line 301 is way too long (107 characters)
gnu/packages/julia.scm:303:0: [email-masked]: line 303 is way too long (106 characters)
gnu/packages/julia.scm:226:13: [email-masked]: can be upgraded to 1.6.0
gnu/packages/julia.scm:227:12: [email-masked]: source not archived on Software Heritage
0
--8<---------------cut here---------------end--------------->8---

What do we do.  On one hand, «it never pretended to exit with non-zero
when warninf» and on the other hand it could be annoying.

Well, since it is 4 years and 34 weeks, I consider it is not a big deal
and so we can close.  WDYT?

All the best,
simon